Flash Player natif dans Ubuntu 64 bit

#ff0000;">Attention ce billet contient des instructions qui risquent d’endommager votre système si elle ne sont pas correctement appliquées.

Une année après son annonce de suspendre le développement de la version native en 64-bit, Adobe revient sur ça décision en publiant de nouveau une version native en 64-bits. Cette publication est liée à la sortie de la nouvelle version majeure, la 11 ème.

Flash Player LogoPour installer la version native en 64-bit il est préférable de faire un nettoyage préalable pour éliminer toute trace d’installation manuelle ou de l’installation de la version 32-bit. Voici les étapes telle que décrites dans le site doc.ubuntu-fr.org.


sudo apt-get autoremove -y --purge flashplugin-nonfree gnash gnash-common mozilla-plugin-gnash swfdec-mozilla libflashsupport
sudo rm -f /usr/lib/mozilla/plugins/*flash* ~/.mozilla/plugins/*flash* /usr/lib/firefox/plugins/*flash* /usr/lib/firefox-addons/plugins/*flash*
sudo rm -f ~/.config/chromium/plugins/*flash* /usr/lib/chromium-browser/plugins/*flash* /usr/lib/opera/plugins

La méthode la plus simple pour installer la nouvelle version consiste à ajouter le dépôt de SevenMachines :

sudo add-apt-repository ppa:sevenmachines/flash

Maintenant il faut mettre à jour la liste des paquets :

sudo apt-get update

Avant de procéder à l’installation de cette nouvelle version il faut créer un répertoire nommé kde4 dans /usr/lib sinon l’installation ne pourra pas s’effectuer (c’est peut être un bug).

sudo mkdir /usr/lib/kde4/

et finalement l’installation :

sudo apt-get install flashplugin64-installer

Personnellement j’ai effectué l’installation sur la version Ubuntu 11.04 et la version alpha 2 de Ubuntu 11.10 sans aucun soucis.

8 thoughts on “Flash Player natif dans Ubuntu 64 bit

    1. La méthode que je présente prend en compte Firefox, je l’atteste car c’est mon navigateur 🙂 La seule différence avec la méthode que tu cite et que celle que je présente fait toutes les étapes d’installation du plugin sans que l’utilisateur intervient.

  1. je confirme que cette version a des soucis, au moins sur la gestion de l’alpha.
    Question de noob : comment revenir à la version précédente que me proposait sevenmachines ?

    1. @Ned : Normalement on peut forcer l’installation d’un ancienne version d’un paquet, mais le soucis avec le dépôt sevenmachines est qu’il ne garde pas les anciennes versions.

Comments are closed.